Bug 1576409

Summary: APIC id mismatch during Fedora 27 VM boot under Windows HyperV 2016
Product: [Fedora] Fedora Reporter: Rakesh <bk.rakesh>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: airlied, bskeggs, ewk, hdegoede, iamtaylover, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, steved
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-29 15:10:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rakesh 2018-05-09 11:56:15 UTC
Description of problem:

On configuring Fedora 27 as a VM under Windows Server 2016, Found an APCI id mismatch messages during boot,

[root@fc27-vm ~]# uname -a
Linux fc27-vm 4.16.6-202.fc27.x86_64 #1 SMP Wed May 2 00:09:32 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@fc27-vm ~]# dmesg | grep Firm
[    0.001000] [Firmware Bug]: CPU5: APIC id mismatch. Firmware: 5 APIC: 8
[    0.001000] [Firmware Bug]: CPU6: APIC id mismatch. Firmware: 6 APIC: 9
[    0.001000] [Firmware Bug]: CPU7: APIC id mismatch. Firmware: 7 APIC: a
[    0.001000] [Firmware Bug]: CPU8: APIC id mismatch. Firmware: 8 APIC: b
[    0.001000] [Firmware Bug]: CPU9: APIC id mismatch. Firmware: 9 APIC: c
[root@fc27-vm ~]#

Version-Release number of selected component (if applicable):


How reproducible:
Configure and boot Fedora-28 VM with 10/20 vCPUS and 32/48GB RAM settings.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rakesh 2018-05-09 12:03:28 UTC
I've tried applying the patch "x86/cpu: read processor's APIC id from local APIC"[1] and still the issue persists.

[1] https://patchwork.kernel.org/patch/9929385/

Comment 2 Love4Taylor 2018-05-14 01:40:09 UTC
Same here

[    0.004000] smpboot: CPU0: Intel(R) Xeon(R) CPU E5-2676 v3 @ 2.40GHz (family: 0x6, model: 0x3f, stepping: 0x2)
[    0.004000] Performance Events: unsupported p6 CPU model 63 no PMU driver, software events only.
[    0.004000] NMI watchdog: Perf event create on CPU 0 failed with -2
[    0.004000] smp: Bringing up secondary CPUs ...
[    0.004000] .... node  #0, CPUs:          #1   #2   #3   #4   #5   #6   #7   #8   #9  #10  #11  #12  #13  #14  #15  #16  #17  #18  #19  #20  #21  #22  #23
[    0.028283] .... node  #1, CPUs:    #24
[    0.004000] [Firmware Bug]: CPU24: APIC id mismatch. Firmware: 18 APIC: 20
[    0.004000] [Firmware Bug]: CPU25: APIC id mismatch. Firmware: 19 APIC: 21
[    0.004000] [Firmware Bug]: CPU26: APIC id mismatch. Firmware: 1a APIC: 22
[    0.004000] [Firmware Bug]: CPU27: APIC id mismatch. Firmware: 1b APIC: 23
[    0.004000] [Firmware Bug]: CPU28: APIC id mismatch. Firmware: 1c APIC: 24
[    0.004000] [Firmware Bug]: CPU29: APIC id mismatch. Firmware: 1d APIC: 25
[    0.004000] [Firmware Bug]: CPU30: APIC id mismatch. Firmware: 1e APIC: 26
[    0.004000] [Firmware Bug]: CPU31: APIC id mismatch. Firmware: 1f APIC: 27
[    0.004000] [Firmware Bug]: CPU32: APIC id mismatch. Firmware: 20 APIC: 28
[    0.004000] [Firmware Bug]: CPU33: APIC id mismatch. Firmware: 21 APIC: 29
[    0.004000] [Firmware Bug]: CPU34: APIC id mismatch. Firmware: 22 APIC: 2a
[    0.004000] [Firmware Bug]: CPU35: APIC id mismatch. Firmware: 23 APIC: 2b
[    0.004000] [Firmware Bug]: CPU36: APIC id mismatch. Firmware: 24 APIC: 2c
[    0.004000] [Firmware Bug]: CPU37: APIC id mismatch. Firmware: 25 APIC: 2d
[    0.004000] [Firmware Bug]: CPU38: APIC id mismatch. Firmware: 26 APIC: 2e
[    0.004000] [Firmware Bug]: CPU39: APIC id mismatch. Firmware: 27 APIC: 2f
[    0.004000] [Firmware Bug]: CPU40: APIC id mismatch. Firmware: 28 APIC: 30
[    0.004000] [Firmware Bug]: CPU41: APIC id mismatch. Firmware: 29 APIC: 31
[    0.004000] [Firmware Bug]: CPU42: APIC id mismatch. Firmware: 2a APIC: 32
[    0.004000] [Firmware Bug]: CPU43: APIC id mismatch. Firmware: 2b APIC: 33
[    0.004000] [Firmware Bug]: CPU44: APIC id mismatch. Firmware: 2c APIC: 34
[    0.004000] [Firmware Bug]: CPU45: APIC id mismatch. Firmware: 2d APIC: 35
[    0.004000] [Firmware Bug]: CPU46: APIC id mismatch. Firmware: 2e APIC: 36
[    0.004000] [Firmware Bug]: CPU47: APIC id mismatch. Firmware: 2f APIC: 37
[    0.132022] smp: Brought up 2 nodes, 48 CPUs
[    0.970493] ledtrig-cpu: registered to indicate activity on CPUs

Comment 3 Justin M. Forbes 2018-07-23 15:15:50 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2018-08-29 15:10:48 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.